POST
https://api.hyperleapai.com/feedback-report/conversationsGet Conversations for feedback analysis based on filter conditions passed in.
Authenticated with your API key in the x-hl-api-key request header.
Request body
application/jsoncallerIdstring · uuidrequiredstartDatestring · date-timerequiredendDatestring · date-timerequiredpageSizeinteger · int32objectnullable
[key]stringnullableisAdminbooleanread-onlyorganizationIdstring · uuidnullableread-onlyuserIdstring · uuidnullableread-onlyscoreinteger · int32nullablescoreTextstringnullablescoreTagsstringnullablepromptIdstring · uuidnullablepromptVersionIdstring · uuidnullableconversationIdstring · uuidnullablecontinuationTokenstringnullableResponses
200OK
No response body.
curl -X POST "https://api.hyperleapai.com/feedback-report/conversations" \
-H "x-hl-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"callerId": "string",
"startDate": "string",
"endDate": "string",
"pageSize": 0,
"appHeaders": {
"key": "string"
},
"isAdmin": true,
"organizationId": "string",
"userId": "string",
"score": 0,
"scoreText": "string",
"scoreTags": "string",
"promptId": "string",
"promptVersionId": "string",
"conversationId": "string",
"continuationToken": "string"
}'curl -X POST "https://api.hyperleapai.com/feedback-report/conversations" \
-H "x-hl-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"callerId": "string",
"startDate": "string",
"endDate": "string",
"pageSize": 0,
"appHeaders": {
"key": "string"
},
"isAdmin": true,
"organizationId": "string",
"userId": "string",
"score": 0,
"scoreText": "string",
"scoreTags": "string",
"promptId": "string",
"promptVersionId": "string",
"conversationId": "string",
"continuationToken": "string"
}'